from zope.interface import Interface

from .IUser import IUser


class ICloudService(Interface):
    """Performs operations on the CSC Cloud."""

    def create_account(user: IUser):
        """
        Activate an LDAP account in CloudStack for the given user.
        """
